Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000418FlexRAID Transparent RAID[All Projects] Generalpublic2016-02-07 15:052017-01-07 06:40
ReporterAirless 
Assigned ToBrahim 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformDesktopOSUbuntuOS Version14.04.3 LTS
Summary0000418: Failed File and RAID statistics
DescriptionRAID Statistics
Under the RAID Monitoring tab all of the values are sitting at 0 and I have an error at the bottom under the Error Log Console that reads:
The device for which the operation was requested was not found!

I haven't found a whole lot of information on debugging issues with the RAID statistics so I'm not sure where to go from here. I have looked at the results of the Forensic plugin. After clicking through Get Hosts -> GTT(ID=1) -> tRAID(ID=2) it just shows an empty JSON (I assume) array on a black background. In case it's relevant the host in this install is named GTT.

File Statistics
In addition to enabling File Statistics on my pool I have also configured the File Statistics task to run daily. Whether I run the scheduled task manually or wait for the scheduled time to occur the statistics don't execute properly.

From the WebUI side of things, when I manually run the task, the task immediately changes to Status BLOCKED and creates another File Statistics task with the status COMPLETE. The task with the status COMPLETE also has some hash under the Job Configuration column (Ex: MT-21k7qpi1ajp44)
Additional InformationAttached NZFSWebUI.log includes logging when the error occurs. An example of the error occurring can be seen at:
[2016-01-26 20:59:03,946] and [2016-01-26 21:07:58,135]

Attached kern.log includes logging when error occurs.

Extra information/original report:http://forum.flexraid.com/index.php/topic,5331.0.html [^]
TagsNo tags attached.
tRAID Version 1.0
Attached Fileslog file icon NZFSWebUI.log [^] (107,219 bytes) 2016-02-07 15:05
log file icon kern.log [^] (3,605,280 bytes) 2016-02-07 15:05

- Relationships

-  Notes
(0001574)
Airless (reporter)
2016-02-07 15:07

Seems related to bug 0000416.
(0001614)
Brahim (manager)
2017-01-07 06:40

This is resolved for the next build.
This got broken a while back through an inadvertent change.

- Issue History
Date Modified Username Field Change
2016-02-07 15:05 Airless New Issue
2016-02-07 15:05 Airless File Added: NZFSWebUI.log
2016-02-07 15:05 Airless File Added: kern.log
2016-02-07 15:07 Airless Note Added: 0001574
2017-01-07 06:40 Brahim Note Added: 0001614
2017-01-07 06:40 Brahim Status new => resolved
2017-01-07 06:40 Brahim Resolution open => fixed
2017-01-07 06:40 Brahim Assigned To => Brahim


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker